{
  description = "System Configuration Flake";

  inputs = {
    nixpkgs = {
      url = "github:NixOS/nixpkgs/nixos-unstable";
    };
    
    home-manager-unstable = {
      url = "github:nix-community/home-manager/master";
        inputs.nixpkgs.follows = "nixpkgs-unstable";
    };

    hyprland.url = "github:hyprwm/Hyprland";
  };

  outputs = { 
    self, 
    nixpkgs,
    home-manager-unstable,
    hyprland
  }: {

    nixosConfigurations = {
      stitchynyan = nixpkgs.lib.nixosSystem {
        system = "x86_64-linux";
	modules = [
	  ./configuration.nix
          home-manager-unstable.nixosModules.home-manager
	  hyprland.homeManagerModules.default
        {wayland.windowManager.hyprland.enable = true;}
	];
      };
    }; 
  };
}
